Bug 1608707 - Install e2fsprogs-libuuid on FreeBSD Jenkins slaves
Summary: Install e2fsprogs-libuuid on FreeBSD Jenkins slaves
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1607319
TreeView+ depends on / blocked
 
Reported: 2018-07-26 07:59 UTC by Niels de Vos
Modified: 2018-07-26 12:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-26 12:54:21 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2018-07-26 07:59:08 UTC
Description of problem:
In order to reduce maintenance in the glusterfs repository, contrib/uuid/ can be removed. All common Linux distributions provide libuuid by default already. On FreeBSD this is available through the e2fsprogs-libuuid package.

Please install 'pkg install e2fsprogs-libuuid' on the FreeBSD Jenkins slaves that are used for smoke/regression testing. (And/or add it to any Ansible roles, of course.)

Version-Release number of selected component (if applicable):
Tested on FreeBSD 10.3-RELEASE

Comment 1 M. Scherer 2018-07-26 10:05:59 UTC
So, pkg broke after installing that package. i wil also update the userspace to 10.3 while on it.

Comment 2 Niels de Vos 2018-07-26 10:45:08 UTC
(In reply to M. Scherer from comment #1)
> So, pkg broke after installing that package. i wil also update the userspace
> to 10.3 while on it.

Ai, I'm sorry about that additional work :-(

Comment 3 M. Scherer 2018-07-26 12:54:21 UTC
So, that's done. I hope the upgrade to 10.3 didn't broke stuff.


Note You need to log in before you can comment on or make changes to this bug.